{% extends "symposion/speakers/base.html" %}

{% load i18n %}
{% load lca2018_tags %}
{% load lca2019_tags %}
{% load thumbnail %}

{% block head_title %}Speaker - {{ speaker.name }}{% endblock %}
{% block page_title %}Speaker - {{ speaker.name }}{% endblock %}
{% block page_lead %}
{% if speaker.twitter_username %}
  <a href="https://twitter.com/{{ speaker.twitter_username }}">{{ speaker.twitter_username|twitter_handle }}</a>
{% endif %}
{% if speaker.twitter_username and speaker.homepage %} | {% endif %}
{% if speaker.homepage %}
  <a href="{{ speaker.homepage }}">{{ speaker.homepage }}</a>
{% endif %}
{% endblock %}

{% block content %}
<div class="row">
  <div class="col-md-8">
    {% if speaker.user == request.user or request.user.is_staff %}
      <a class="btn btn-secondary float-right" href="{% url "speaker_edit" speaker.pk %}">Edit</a>
    {% endif %}

    <h3>Biography</h3>

    <div class="bio">{{ speaker.biography_html|safe }}</div>

    <h3 class="my-4">Presentations</h3>

    <ul>
      {% for presentation in presentations %}
        <li>
          <a href="{% url "schedule_presentation_detail" presentation.pk %}">{{ presentation.title }}</a>
          {% if presentation.slot %}
            &ndash;
              {{ presentation.slot.day.date|date:"l" }}
              {{ presentation.slot.start}}&ndash;{{ presentation.slot.end }}
              in
              {{ presentation.slot.rooms|join:", " }}
          {% endif %}
        </li>
      {% empty %}
        <li>No presentations. This page is only visible to staff until there is a presentation.</li>
      {% endfor %}
    </ul>
  </div>
  <div class="col-md-4">
    {% speaker_photo speaker 512 as speaker_photo_url %}
    <img src="{{ speaker_photo_url }}" alt="{{ speaker.name }}" class="rounded-circle img-fluid">
  </div>
</div>
{% endblock %}
